Conflicts on mscorlib with Reactive UI

Topics: Framework Services
Dec 22, 2013 at 8:19 PM
Hi,

I have recently updated a project that use both Caliburn.Micro and ReactiveUI to v2.0.

Unfortunately, after that, I am no longer able to build my project as I get a conflict on mscorlib.dll:
  • Caliburn.Micro references version 2.0.5.0
  • ReactiveUI references version 4.0.0.0
    (I believe the differences is due to the fact that CM supports SL5 and ReactiveUI doesn't)
Any idea how I can overcome this?

Many thanks,

Damien
Dec 23, 2013 at 3:05 PM
I have found my mistake...

I am building a PCL and the code I wrote (reflection stuff) is only valid when the PCL supports SL5. As ReactiveUI doesn't, I had to remove the support... and the code stopped compiling. I have moved to the new reflection API and all is well now.
Marked as answer by anolae on 12/23/2013 at 8:05 AM